<?php

    function lw_enqueue_styles() {
        wp_enqueue_style( 'twenty-twenty-three-style', get_stylesheet_directory_uri() .'/assets/styles/main.css' );
    }
    add_action('wp_enqueue_scripts', 'lw_enqueue_styles');

    function lw_enqueue_fse_scripts() {
        wp_enqueue_script(
            'fse-gutenberg',
            get_stylesheet_directory_uri() . '/assets/scripts/fse-gutenberg.js',
            array( 'wp-blocks', 'wp-dom-ready', 'wp-edit-post' ),
            filemtime( plugin_dir_path( __FILE__ ) . '/assets/scripts/fse-gutenberg.js' )
        );
    }
    add_action( 'enqueue_block_editor_assets', 'lw_enqueue_fse_scripts' );

    function lw_theme_add_editor_styles() {
        add_editor_style( '/assets/styles/main.css' );
    }
    add_action( 'after_setup_theme', 'lw_theme_add_editor_styles' );
    
    if( function_exists('register_block_style') ) {

        register_block_style(
            'core/group',
            array(
                'name' => 'fixed',
                'label' => __('Position Fixed', 'lw'),
                'is_default' => false
            )
        );

        register_block_style(
            'core/list',
            array(
                'name' => 'heart',
                'label' => __('Heart', 'lw'),
                'is_default' => false
            )
        );

        register_block_style(
            'core/list',
            array(
                'name' => 'heart-white',
                'label' => __('Heart white', 'lw'),
                'is_default' => false
            )
        );

    }

    function lw_upload_mimes( $mimes ) {
	
        $mimes['svg']  = 'image/svg+xml';
        
        return $mimes;
    }
    
    add_filter( 'upload_mimes', 'lw_upload_mimes' );

    add_filter( 'post_thumbnail_size', 'update_default_thumbnail_size_for_function_get_the_post_thumbnail' );
    function update_default_thumbnail_size_for_function_get_the_post_thumbnail( $size ) {
        if ( $size === 'post-thumbnail' ) {
            return 'thumbnail';
        }
        return $size;
    }

    function lw_read_more_classname($block_content)
    {    
        // Simple string replacement
        $block_content = str_replace('wp-block-read-more', 'wp-block-button__link wp-element-button', $block_content);
        
        // Returns altered $block_content to be rendered
        return $block_content;
    }

    // Add filter only to 'core/gallery' block
    add_filter('render_block_core/read-more', 'lw_read_more_classname');

    function lw_short_excerpt($excerpt){
        return substr($excerpt, 0, 100);
    }
    add_filter('the_excerpt', 'lw_short_excerpt');
